summaryrefslogtreecommitdiff
path: root/tests/rm
diff options
context:
space:
mode:
authorPádraig Brady <P@draigBrady.com>2012-11-22 10:36:31 +0000
committerPádraig Brady <P@draigBrady.com>2012-11-24 15:29:56 +0000
commitfac673a577aa78fec7b838a8fe727f41bd56bbe3 (patch)
tree405c92daeb501c105da1ea77cd094c45103d522a /tests/rm
parentdd68ddc6549f4ef33c35552044e4202274b6aec1 (diff)
downloadcoreutils-fac673a577aa78fec7b838a8fe727f41bd56bbe3.tar.xz
tests: accept EEXIST from rm -d
* tests/rm/d-2.sh: EEXIST is a valid error on some systems. Reported by Michael Felt on AIX 6.1
Diffstat (limited to 'tests/rm')
-rwxr-xr-xtests/rm/d-2.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/tests/rm/d-2.sh b/tests/rm/d-2.sh
index b62c2ee71..1a1a5601b 100755
--- a/tests/rm/d-2.sh
+++ b/tests/rm/d-2.sh
@@ -24,10 +24,14 @@ mkdir d || framework_failure_
> d/a || framework_failure_
rm -d d 2> out && fail=1
+
+# Accept any of these: EEXIST, ENOTEMPTY
+sed 's/: File exists/: Directory not empty/' out > out2
+
printf "%s\n" \
"rm: cannot remove 'd': Directory not empty" \
> exp || framework_failure_
-compare exp out || fail=1
+compare exp out2 || fail=1
Exit $fail